Get all valid payment tokens for user Deprecated

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developer.pace.cloud/doc/payment/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Payment MCP server": {
  "url": "https://developer.pace.cloud/doc/payment/mcp"
}
Close
GET /payment-tokens?filter[valid]=true

Get all valid payment tokens for user. Valid means that a token was successfully created and is not expired. It might be unusable, for example if it is used in a transaction already.

Query parameters

  • filter[valid] string Required

    Value is true.

Responses

  • 200 application/vnd.api+json

    All valid payment tokens.

    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • type string

        Value is paymentToken.

      • id string

        Payment Token ID

      • attributes object
        Hide attributes attributes Show attributes attributes object
        • amount number(decimal)

          The amount that this token represents.

        • currency string

          Currency as specified in ISO-4217.

          Format should match the following pattern: ^[A-Z]{3}$.

        • value string

          paymentToken value. Format might change (externally provided - by payment provider)

        • validUntil string(date-time)

          The datetime (iso8601) after which the token is no longer valid. May not be provided.

        • accountPRN string

          PACE resource name of the accountPRN that this is being charged to.

        • purposePRNs array[string]

          PACE resource name(s) of one or multiple resources, for which the payment was authorized.

      • relationships object
        Hide relationships attribute Show relationships attribute object
        • paymentMethod object
          Hide paymentMethod attribute Show paymentMethod attribute object
          • data object
            Hide data attributes Show data attributes object
            • type string

              Value is paymentMethod.

            • id string(uuid)
  • 401 application/vnd.api+json

    OAuth token missing or invalid or a linked identity is missing.

    Linked identity missing is a special case where you need to make sure that the user has additionally logged in / authorized with a third-party.

    This is not relevant for most use-cases.

    The specific error code that identifies a missing linked identity is missing-linked-identity

    Example:

      {
          "errors": [
              {
                  "id": "cbgmhslmp1o9or9kh1p0",
                  "title": "Missing linked identity for authorized access",
                  "detail": "Linked identity is needed to access this resource, please check why the user does not have a linked identity",
                  "status": "401",
                  "code": "missing-linked-identity"
              }
          ]
      }
    
    Hide response attribute Show response attribute object
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • id string

        A unique identifier for this particular occurrence of the problem.

      • status string

        the HTTP status code applicable to this problem, expressed as a string value.

      • code string

        an application-specific error code, expressed as a string value.

      • title string

        A short, human-readable summary of the problem that SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization.

      • detail string

        a human-readable explanation specific to this occurrence of the problem. Like title, this field’s value can be localized.

      • source object

        An object containing references to the source of the error.

        Hide source attributes Show source attributes object
        • pointer string

          A JSON Pointer [RFC6901] to the associated entity in the request document [e.g. "/data" for a primary data object, or "/data/attributes/title" for a specific attribute].

        • parameter string

          A string indicating which URI query parameter caused the error.

      • meta object

        a meta object containing non-standard meta-information about the error.

        Additional properties are allowed.

  • 500 application/vnd.api+json

    Internal server error

    Hide response attribute Show response attribute object
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • id string

        A unique identifier for this particular occurrence of the problem.

      • status string

        the HTTP status code applicable to this problem, expressed as a string value.

      • code string

        an application-specific error code, expressed as a string value.

      • title string

        A short, human-readable summary of the problem that SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization.

      • detail string

        a human-readable explanation specific to this occurrence of the problem. Like title, this field’s value can be localized.

      • source object

        An object containing references to the source of the error.

        Hide source attributes Show source attributes object
        • pointer string

          A JSON Pointer [RFC6901] to the associated entity in the request document [e.g. "/data" for a primary data object, or "/data/attributes/title" for a specific attribute].

        • parameter string

          A string indicating which URI query parameter caused the error.

      • meta object

        a meta object containing non-standard meta-information about the error.

        Additional properties are allowed.

GET /payment-tokens?filter[valid]=true
curl \
 --request GET 'https://api.pace.cloud/pay/2022-1/payment-tokens?filter[valid]=true&filter%5Bvalid%5D=true' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": [
    {
      "type": "paymentToken",
      "id": "33331f72-a672-453c-9d36-d5809ef0ded6",
      "attributes": {
        "amount": 23,
        "currency": "EUR",
        "value": "12c52345c1x34",
        "validUntil": "2026-05-04T09:42:00Z",
        "accountPRN": [
          "prn:pay:accounts:pace"
        ],
        "purposePRNs": [
          "prn:poi:gas-stations:124e522d-65ef-4386-b7e0-00d2eceeadc6",
          "prn:cms:fuels:ron95"
        ]
      },
      "relationships": {
        "paymentMethod": {
          "data": {
            "type": "paymentMethod",
            "id": "33331f72-a672-453c-9d36-d5809ef0ded6"
          }
        }
      }
    }
  ]
}
Response examples (401)
{
  "errors": [
    {
      "id": "string",
      "links": {
        "about": "string"
      },
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "source": {
        "pointer": "string",
        "parameter": "string"
      },
      "meta": {}
    }
  ]
}
Response examples (500)
{
  "errors": [
    {
      "id": "string",
      "links": {
        "about": "string"
      },
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "source": {
        "pointer": "string",
        "parameter": "string"
      },
      "meta": {}
    }
  ]
}